Summary: Free TrueType font rasterizer library.
Name: freetype
Version: 1.2
Release: 7
Copyright: BSD-like
Group: System Environment/Libraries
Source: freetype-%{version}.tar.gz
Source1: ttmkfdir.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
The FreeType engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType is a library, not a
stand-alone application, though some utility applications are included.

%package utils
Summary: Several utilities to manipulate and examine TrueType fonts.
Group: Applications/Publishing

%description utils
This package contains several utilities which allow you to view and
manipulate true type fonts.  They are mainly useful for debugging and
testing purposes, and are not required for using the FreeType library.

%package devel
Summary: Header files and static library for development with FreeType.
Group: Development/Libraries

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the FreeType library.
If you simply want to run existing applications, you won't
need this package.

%prep
%setup -q
mkdir ttmkfdir
tar xz -C ttmkfdir -f %{SOURCE1}

%build
libtoolize --copy --force
./configure --prefix=/usr \
	--with-cflags="$RPM_OPT_FLAGS" \
	--disable-debug \
	--enable-static --enable-shared \
	--with-locale-dir=/usr/share/locale
make
make -C ttmkfdir

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install \
	gnulocaledir=$RPM_BUILD_ROOT/usr/share/locale
install -m 755 ttmkfdir/ttmkfdir $RPM_BUILD_ROOT/usr/bin
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/bin/ttmkfdir
/usr/lib/libttf.la
/usr/lib/libttf.so.*
/usr/share/locale/*
%doc README  announce docs

%files utils
/usr/bin/ftdump
/usr/bin/fterror
/usr/bin/ftlint
/usr/bin/ftstring
/usr/bin/ftstrpnm
/usr/bin/fttimer
/usr/bin/ftview
/usr/bin/ftzoom

%files devel
/usr/include/*
/usr/lib/libttf.so
/usr/lib/libttf.a

%changelog
* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- newer ttmkfdir that works better, moved ttmkfdir to /usr/bin from /usr/sbin
- freetype utilities moved to subpkg, X dependency removed from main pkg
- libttf.so symlink moved to devel pkg

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- fixed the %doc file list

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added ttmkfdir

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- update to 1.2

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to sanitize config.sub and get ARM support
- dispoze of the patch (not necessary anymore)

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- post/postun sections for ldconfig action.

* Tue Oct 20 1998 Preston Brown <pbrown@redhat.com>
- initial RPM, includes normal and development packages.
